Subject: Re: 28.2; Uninitialized field command_modes in Lisp_Module_Function

From: Richard Copley <[email-masked]>
Date: Wed, 9 Nov 2022 16:24:35 +0000

> The command_modes field seems to be uninitialized. This might print a
> random integer, print a randomly selected lisp object from memory, or
> segfault.

I can confirm that changing the 'field' argument from "interactive_form" 
to "command_modes", in the invocation of ALLOCATE_PSEUDOVECTOR in 
allocate_module_function (), fixes the problem. See "emacs-module.c", 
line 564.